<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
    <!ENTITY dbstyle
      PUBLIC "-//Norman Walsh//DOCUMENT DocBook Print Stylesheet//EN" CDATA dsssl>
<!ENTITY Revision	"Version">
<!ENTITY RevHistory	"Document version">

]> 

<style-sheet>
<style-specification use="docbook">
<style-specification-body>

;; mystuff here

(define en-revhistory-name	"&RevHistory;")
(define en-revision-name	"&Revision;")

(define %page-n-columns%
  ;; Sets the number of columns on each page
  1)

(define %two-side% 
  ;; Is two-sided output being produced?
  #t)

(define bop-footnotes
  ;; Make "bottom-of-page" footnotes?
  #t)

(define %chapter-autolabel% 
  ;; Are chapters enumerated?
  #f)

(define %section-autolabel% 
  ;; Are sections enumerated?
  #f)

(define %verbatim-size-factor% 
  ;; Verbatim font scaling factor
  0.8)

(define %footnote-ulinks%
  ;; Generate footnotes for ULinks?
  #f)

(define ($admon-graphic$ #!optional (nd (current-node)))
  ;; Admonition graphic file
  (cond ((equal? (gi nd) (normalize "tip"))
 (string-append %admon-graphics-path% "tip.jpg"))
((equal? (gi nd) (normalize "note"))
 (string-append %admon-graphics-path% "note.jpg"))
((equal? (gi nd) (normalize "important"))
 (string-append %admon-graphics-path% "important.jpg"))
((equal? (gi nd) (normalize "caution"))
 (string-append %admon-graphics-path% "caution.jpg"))
((equal? (gi nd) (normalize "warning"))
 (string-append %admon-graphics-path% "warning.jpg"))
(else (error (string-append (gi nd) " is not an admonition.")))))

(define %admon-graphics-path%
  ;; Path to admonition graphics
  "./")

(define %admon-graphics%
  ;; Use graphics in admonitions?
  #t)

(define (book-titlepage-recto-elements)
  (list (normalize "title") 
	(normalize "subtitle") 
	(normalize "graphic") 
	(normalize "mediaobject")
	(normalize "corpauthor") 
	(normalize "authorgroup") 
	(normalize "author") 
	(normalize "editor")
	(normalize "abstract") 
;;	(normalize "revhistory")
	))


(define (book-titlepage-verso-elements)
  (list ;;(normalize "title") 
	;;(normalize "subtitle") 
	;;(normalize "corpauthor") 
	;;(normalize "authorgroup") 
	;;(normalize "author") 
	;;(normalize "editor")
	;;(normalize "edition") 
	;;(normalize "pubdate") 
	(normalize "copyright")
;;	(normalize "abstract") 
	(normalize "legalnotice")
	(normalize "revhistory")
))



(define %visual-acuity%
  ;; General measure of document text size
  ;; "tiny"
  ;; "normal"
  ;; "presbyopic"
  ;; "large-type"
  "normal"
)



(element sidebar 
  (make box
    display?: #t
    box-type: 'border
    line-thickness: 0.1pt
    start-indent: ( + (inherited-start-indent) 0.15in)
    end-indent: (+ (inherited-end-indent) 0.15in)
    (if (node-list-empty? (select-elements (children (current-node))
					   (normalize "title")))
	(make display-group
	  start-indent: 2pt
	  end-indent: 2pt
;;	  space-before: %block-sep%
	  space-before: (* (%para-sep%) *)
	  space-after: %block-sep%
	  (process-children))
	(make display-group
	  start-indent: 2pt
	  end-indent: 2pt
	  space-before: 0pt
	  space-after: %block-sep%
	  (make sequence
	    (let* ((object (current-node))
		   (title  (select-elements (children object) 
					    (normalize "title")))
		   (nsep   (gentext-label-title-sep (gi object))))
	      (make paragraph
		font-weight: 'bold
		space-before: %block-sep%
		space-after: %para-sep%
		keep-with-next?: #t
		(literal (gentext-element-name object))
		(if (string=? (element-label object) "")
		    (literal nsep)
		    (literal " " (element-label object) nsep))
		(process-node-list (children title))))
	    (process-children))))))

(define ($page-number-format$ #!optional (gi (gi)))
  (cond
   ((equal? (normalize gi) (normalize "toc")) "i")
   ((equal? (normalize gi) (normalize "lot")) "i")
   ((equal? (normalize gi) (normalize "preface")) "i")
   (else "1")))

(declare-characteristic heading-level "UNREGISTERED::James Clark//Characteristic::heading-level" 2)
                 (define %generate-heading-level% #t)

;;(define %left-margin% 
  ;; Width of left margin
;;  4pi)

(define %body-font-family% 
  ;; The font family used in body text
  "New Century Schoolbook")
   
</style-specification-body>
</style-specification>
<external-specification id="docbook" document="dbstyle">
</style-sheet>



